texmath-0.12.10.3: Conversion between math formats.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Text.TeXMath.TeX

Synopsis

- data TeX
  - = ControlSeq Text
  - | Token Char
  - | Literal Text
  - | Grouped [TeX]
  - | Space
- renderTeX :: TeX -> Text -> Text
- isControlSeq :: Text -> Bool
- escapeLaTeX :: Char -> TeX

# Documentation

data TeX #

An intermediate representation of TeX math, to be used in rendering.

Constructors

ControlSeq Text |
Token Char |
Literal Text |
Grouped [TeX] |
Space |

#### Instances

Instances details

Show TeX # |
Instance details Defined in Text.TeXMath.TeX Methods showsPrec :: Int -> TeX -> ShowS # show :: TeX -> String # showList :: [TeX] -> ShowS #
Eq TeX # |
Instance details Defined in Text.TeXMath.TeX Methods (==) :: TeX -> TeX -> Bool # (/=) :: TeX -> TeX -> Bool #

renderTeX :: TeX -> Text -> Text #

Render a `TeX` to a string, appending to the front of the given string.

isControlSeq :: Text -> Bool #

escapeLaTeX :: Char -> TeX #